skylighting-0.3.3.1: syntax highlighting library

Safe Haskell | None
Language | Haskell2010

Skylighting.Tokenizer

Synopsis

- tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine]
- data TokenizerConfig = TokenizerConfig {
  - syntaxMap :: SyntaxMap
  - traceOutput :: Bool
  }

# Documentation

tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine] Source #

Tokenize some text using `Syntax`.

data TokenizerConfig Source #

Configuration options for `tokenize`.

Constructors

TokenizerConfig |

Fields

- syntaxMap :: SyntaxMap

  Syntax map to use

- traceOutput :: Bool

  Generate trace output for debugging

Instances

Show TokenizerConfig Source # |
Methods showsPrec :: Int -> TokenizerConfig -> ShowS # show :: TokenizerConfig -> String # showList :: [TokenizerConfig] -> ShowS #